struct usbdrv_wrap
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

struct usbdrv_wrap — wrapper for driver-model structure

## Synopsis

    struct usbdrv_wrap {
      struct device_driver driver;
      int for_devices;
    };

## Members

driver

  The driver-model core driver structure.

for_devices

  Non-zero for device drivers, 0 for interface drivers.

Prev | Up | Next
USB_DEVICE_AND_INTERFACE_INFO | Home | struct usb_driver